SoPickStyle(3IV)

NAME
SoPickStyle — picking style node

INHERITS FROM
SoBase > SoFieldContainer > SoNode > SoPickStyle

SYNOPSIS
#include <Inventor/nodes/SoPickStyle.h>

enum Style {
SoPickStyle::SHAPE
Points on the surfaces of shapes may be picked
SoPickStyle::BOUNDING_BOX
Points on the surfaces of 3D bounding boxes of shapes may be picked
SoPickStyle::UNPICKABLE
Subsequent objects are transparent to picks
}

Fields from class SoPickStyle:

SoSFEnum
style

Methods from class SoPickStyle:

SoPickStyle()
static SoType
getClassTypeId()

Methods from class SoNode:

void
setOverride(SbBool state)
SbBool
isOverride() const
SoNode *
copy(SbBool copyConnections = FALSE) const
virtual SbBool
affectsState() const
static SoNode *
getByName(const SbName &name)
static int
getByName(const SbName &name, SoNodeList &list)

Methods from class SoFieldContainer:

void
setToDefaults()
SbBool
hasDefaultValues() const
SbBool
fieldsAreEqual(const SoFieldContainer *fc) const
void
copyFieldValues(const SoFieldContainer *fc, SbBool copyConnections = FALSE)
SbBool
set(const char *fieldDataString)
void
get(SbString &fieldDataString)
virtual int
getFields(SoFieldList &resultList) const
virtual SoField *
getField(const SbName &fieldName) const
SbBool
getFieldName(const SoField *field, SbName &fieldName) const
SbBool
isNotifyEnabled() const
SbBool
enableNotify(SbBool flag)

Methods from class SoBase:

void
ref()
void
unref() const
void
unrefNoDelete() const
void
touch()
virtual SoType
getTypeId() const
SbBool
isOfType(SoType type) const
virtual void
setName(const SbName &name)
virtual SbName
getName() const

DESCRIPTION
This node determines how subsequent geometry nodes in the scene graph are to be picked, as indicated by the style field.

Note that this is the only way to change the pick behavior of shapes; drawing style, complexity, and other rendering-related properties have no effect on picking.

FIELDS
SoSFEnum
style
Picking style.

METHODS

SoPickStyle()
Creates a pick style node with default settings.

static SoType
getClassTypeId()
Returns type identifier for this class.

ACTION BEHAVIOR
SoRayPickAction, SoCallbackAction
Sets the current pick style in the state.

FILE FORMAT/DEFAULTS
PickStyle {
style	SHAPE
}

SEE ALSO
SoComplexity, SoDrawStyle, SoRayPickAction